org.apache.lucene.index

## Class CheckIndex.Status.StoredFieldStatus

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status.StoredFieldStatus

- Enclosing class:
    CheckIndex.Status

      public static final class CheckIndex.Status.StoredFieldStatus
      extends Object

  Status from testing stored fields.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `docCount` Number of documents tested.
    `Throwable` | `error` Exception thrown during stored fields test (null on success)
    `long` | `totFields` Total number of stored fields tested.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docCount

          public int docCount

      Number of documents tested.

    - #### totFields

          public long totFields

      Total number of stored fields tested.

    - #### error

          public Throwable error

      Exception thrown during stored fields test (null on success)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.